PETSc version 3.15.5
Fix/Edit manual page

# PetscImaginaryPart

Returns the imaginary part of a PetscScalar

### Synopsis

    #include <petscmath.h>
    PetscReal PetscImaginaryPart(PetscScalar v)

Not Collective

### Input Parameter

| v | - value to find the imaginary part of

### Notes

If PETSc was configured for real numbers then this always returns the value 0

### See Also

PetscScalar, PetscRealPart(), PetscMax(), PetscClipInterval(), PetscAbsInt(), PetscAbsReal(), PetscSqr()

### Level

beginner

### Location

include/petscmath.h

### Examples

src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/dm/tutorials/ex15.c.html
src/ksp/ksp/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages